# Uses of Class
org.apache.commons.math3.linear.ArrayRealVector

Packages that use ArrayRealVector
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of ArrayRealVector in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return ArrayRealVector
Modifier and Type
Method
Description
`ArrayRealVector`
ArrayRealVector.`add(RealVector v)`
Compute the sum of this vector and `v`.
`ArrayRealVector`
ArrayRealVector.`append(ArrayRealVector v)`
Construct a vector by appending a vector to this vector.
`ArrayRealVector`
ArrayRealVector.`combine(double a, double b, RealVector y)`
Returns a new vector representing `a * this + b * y`, the linear combination of `this` and `y`.
`ArrayRealVector`
ArrayRealVector.`combineToSelf(double a, double b, RealVector y)`
Updates `this` with the linear combination of `this` and `y`.
`ArrayRealVector`
ArrayRealVector.`copy()`
Returns a (deep) copy of this vector.
`ArrayRealVector`
ArrayRealVector.`ebeDivide(RealVector v)`
Element-by-element division.
`ArrayRealVector`
ArrayRealVector.`ebeMultiply(RealVector v)`
Element-by-element multiplication.
`ArrayRealVector`
ArrayRealVector.`map(UnivariateFunction function)`
Acts as if implemented as:
`ArrayRealVector`
ArrayRealVector.`mapToSelf(UnivariateFunction function)`
Acts as if it is implemented as:
`ArrayRealVector`
RealVectorFormat.`parse(String source)`
Parse a string to produce a `RealVector` object.
`ArrayRealVector`
RealVectorFormat.`parse(String source, ParsePosition pos)`
Parse a string to produce a `RealVector` object.
`ArrayRealVector`
ArrayRealVector.`subtract(RealVector v)`
Subtract `v` from this vector.
Methods in org.apache.commons.math3.linear with parameters of type ArrayRealVector
Modifier and Type
Method
Description
`ArrayRealVector`
ArrayRealVector.`append(ArrayRealVector v)`
Construct a vector by appending a vector to this vector.
Constructors in org.apache.commons.math3.linear with parameters of type ArrayRealVector
Modifier
Constructor
Description
``
`ArrayRealVector(double[] v1, ArrayRealVector v2)`
Construct a vector by appending one vector to another vector.
``
`ArrayRealVector(ArrayRealVector v)`
Construct a vector from another vector, using a deep copy.
``
`ArrayRealVector(ArrayRealVector v, boolean deep)`
Construct a vector from another vector.
``
`ArrayRealVector(ArrayRealVector v1, double[] v2)`
Construct a vector by appending one vector to another vector.
``
`ArrayRealVector(ArrayRealVector v1, ArrayRealVector v2)`
Construct a vector by appending one vector to another vector.
``
`ArrayRealVector(ArrayRealVector v1, RealVector v2)`
Construct a vector by appending one vector to another vector.
``
`ArrayRealVector(RealVector v1, ArrayRealVector v2)`
Construct a vector by appending one vector to another vector.